//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Main.cpp", InstallForm);
USERES("Install.res");
USEFORM("Info.cpp", InfoForm);
USEFORM("Progress.cpp", ProgressForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
   try
   {
        Application->Title = "Instalace...";
        // Zeptame se uzivatele, jestli chce fakt instalovat
        MessageBeep(MB_ICONINFORMATION);
        if(MessageBoxA(Application->Handle, "Byl sputn instalan program aplikace 'Vtipy verze 2.05'.\n"
                                            "V instalaci mete pokraovat tlatkem 'OK', nebo ji zruit\n"
                                            "tlatkem 'Storno'.",
                       "Instalace...", MB_OKCANCEL | MB_APPLMODAL | MB_DEFBUTTON1 | MB_ICONINFORMATION) != IDOK)
        exit(EXIT_SUCCESS); // Konec programu
        Application->Initialize();
        Application->CreateForm(__classid(TInstallForm), &InstallForm);
        Application->CreateForm(__classid(TInfoForm), &InfoForm);
        Application->CreateForm(__classid(TProgressForm), &ProgressForm);
        Application->Run();
   }
   catch (Exception &exception)
   {
        Application->ShowException(&exception);
   }
   return(1);
}
//---------------------------------------------------------------------------
