//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Info.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TInfoForm *InfoForm;
//---------------------------------------------------------------------------
__fastcall TInfoForm::TInfoForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TInfoForm::StornoButtonClick(TObject *Sender)
{
  // Tlacitko Storno ukocni program
  Close();
}
//---------------------------------------------------------------------------
void __fastcall TInfoForm::FormClose(TObject *Sender, TCloseAction &Action)
{
  // Konec
  InstallForm->Close();
}
//---------------------------------------------------------------------------
void __fastcall TInfoForm::BackButtonClick(TObject *Sender)
{
  // Navrat k predchozimu dialogu
  InstallForm->Show();
  Hide();
}
//---------------------------------------------------------------------------
void __fastcall TInfoForm::FormActivate(TObject *Sender)
{
  // Transfer cesty, kam se bude instalovat, mezera je tam kvuli good effectu
  Panel1->Caption = " " + InstallForm->Edit1->Text;

  // Zjisteni verze windows a podle toho, jestli muzeme udelat ikonu
  // na hlavni plose.

  // Promenna
  OSVERSIONINFOA osver;

  // Inicializace struktury
  ZeroMemory(&osver, sizeof(osver));
  osver.dwOSVersionInfoSize = sizeof(osver);

  // Zjisteni verze
  GetVersionExA(&osver);

  // Kontrola verze, pokud je to WINNT a verze je mensi nez 4.0, je zle,
  // protoze tato verze nepodporuje tridu IShellLink.
  if(osver.dwPlatformId == VER_PLATFORM_WIN32_NT &&
     osver.dwMajorVersion < 4)
    ShortcutCheckBox->Enabled = false; // Vypiname checkbox - ikona nebude...
  else
    ShortcutCheckBox->Checked = true;  // Implicitne zaskrtnut
}
//---------------------------------------------------------------------------
void __fastcall TInfoForm::FinishButtonClick(TObject *Sender)
{
  // Zobrazime uplne posledni formu
  ProgressForm->Show();
  Hide();
}
//---------------------------------------------------------------------------
