//---------------------------------------------------------------------------
#ifndef ProgressH
#define ProgressH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include <Process.h>
#include <Windows.h>
#include <Dos.h>
#include "Main.h"
#include "Desktop.h" // CreateLink
#ifndef MAXPATH
#define MAXPATH     260
#endif
//---------------------------------------------------------------------------
#ifndef chBEGINTHREADEX
typedef unsigned (__stdcall *PTHREAD_START) (void *);
#define chBEGINTHREADEX(lpsa, cbStack, lpStartAddr, lpvThreadParam, fdwCreate, lpIDThread) \
        ((HANDLE)_beginthreadex((void *)(lpsa), (unsigned)(cbStack), (PTHREAD_START)(lpStartAddr), (void *)(lpvThreadParam), (unsigned)(fdwCreate), (unsigned *)(lpIDThread)))
#endif
DWORD WINAPI ProgressThreadFunction(LPVOID lpvThreadParam);
//---------------------------------------------------------------------------
class TProgressForm : public TForm
{
__published:	// IDE-managed Components
    TProgressBar *ProgressBar1;
    TLabel *Label1;
    TButton *CancelButton;
    TLabel *Label2;
    TLabel *Label3;
    TTimer *Timer1;
    void __fastcall CancelButtonClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormActivate(TObject *Sender);
    void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
public:		// User declarations
    HANDLE  hThread;            // Handle na thread
    DWORD   dwThreadId;         // ID Threadu
    //--- Synchronizovane promenne ---------------------------------------------
    BOOL    fCreateShortcut;    // Jestli se ma vytvorit ikona
    CHAR    lpInstallDir[MAXPATH]; // Adresar pro instalaci
    CHAR    lpInfoString[64];   // Text s informaci, co se prave deje
    DWORD   dwPercent;          // Kolik procent jiz je hotovo
    DWORD   dwStop;             // Udava, jestli se ma ukoncit instalace
                                // Hodnoty: 0.......Instalace jeste normalne bezi
                                //          1.......Uz je hotova
                                //          2.......Preruseni z venku
                                //          3-100...Nastala vnitrni chyba,
                                //                  jeji kod je dwStop
    //--------------------------------------------------------------------------
    CRITICAL_SECTION CritSec;   // Pro synchronizaci pristupu
    virtual __fastcall TProgressForm(TComponent* Owner);
    virtual void __fastcall CreateParams(Controls::TCreateParams &Param);
};
//---------------------------------------------------------------------------
extern TProgressForm *ProgressForm;
//---------------------------------------------------------------------------
#endif
