//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <vcl\ExtCtrls.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\StdCtrls.hpp>
#include "QJokes.h"
#include "Resource.h"
//---------------------------------------------------------------------------
// Nejaky makra
#ifndef MAXPATH
#define MAXPATH 260
#endif
#define REG_SUBKEY      "Software\\Microsoft\\Windows\\CurrentVersion\\Run"
#define REG_VALUENAME   "Vtipy"
#define FILENAME        "Vtipy.dat"
#if !defined(__DOS_H) && !defined(__DLL__)
//extern  int           _RTLENTRY _argc;
//extern  char        **_RTLENTRY _argv;
#endif
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
    TImage *Obrazek;
    TPanel *Panel;
    TCheckBox *RestartCheckBox;
    TButton *NextButton;
    TButton *HelpButton;
    TButton *EndButton;
    TLabel *Text;
    TTimer *Timer;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall HelpButtonClick(TObject *Sender);
    void __fastcall TimerTimer(TObject *Sender);
    void __fastcall EndButtonClick(TObject *Sender);
    void __fastcall NextButtonClick(TObject *Sender);
    void __fastcall ObrazekClick(TObject *Sender);
private:	// User declarations
    void  __fastcall CreateParams(Controls::TCreateParams &Param);
    // Registry
    HKEY  hKey;                // Klic v registru
    CHAR  lpText[MAXPATH];     // Text hodnoty v registru
    LONG  lRetValue;           // Navratova hodnota funkci
    // Jokes
    Jokes jJokes;              // Trida Jokes - viz QJokes.h
    CHAR  lpJokeText[MAXPATH]; // Text aktualniho vtipu
    CHAR  lpFileName[MAXPATH]; // Nazev souboru s vtipy s plnou cestou
    // Help
    BOOL  fRestart;            // Jestli se program spustil pri startu pocitace
    BOOL  fAction;             // Jestli uzivatel jiz udelal nakou akci
    AnsiString asPictures[NUM_OF_PICTURES]; // Jmeno resource-link obrazku
public:		// User declarations
    __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
