# ---------------------------------------------------------------------------
VERSION = BCB.04.04
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = Vtipy.exe
OBJFILES = Vtipy.obj Main.obj Help.obj
RESFILES = Vtipy.res Pictures.res
RESDEPEN = $(RESFILES) Main.dfm Help.dfm
LIBFILES =
IDLGENFILES =
IDLFILES =
LIBRARIES = vcldbx40.lib vcldb40.lib vclx40.lib vcl40.lib
SPARELIBS = vcl40.lib vclx40.lib vcldb40.lib vcldbx40.lib
PACKAGES = VCL40.bpi VCLX40.bpi bcbsmp40.bpi VCLDB40.bpi ibsmp40.bpi VCLDBX40.bpi \
  QRPT40.bpi TEEUI40.bpi TEEDB40.bpi TEE40.bpi DSS40.bpi VCLMID40.bpi \
  NMFAST40.bpi INETDB40.bpi INET40.bpi dclocx40.bpi
PATHASM = .;
PATHCPP = .;
PATHPAS = .;
PATHRC = .;
DEBUGLIBPATH = $(BCB)\lib\debug
RELEASELIBPATH = $(BCB)\lib\release
SYSDEFINES = NO_STRICT
USERDEFINES =
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -I$(BCB)\projects;$(BCB);$(BCB)\include;$(BCB)\include\vcl -Od -Hc \
  -H=$(BCB)\lib\vcl.csm -w -Ve -r- -a4 -k -y -v -vi- \
  -D$(SYSDEFINES);$(USERDEFINES) -O -c -b- -w-par -w-inl -Vx -WE -tWM
CFLAG2 =
CFLAG3 =
IDLCFLAGS = -I$(BCB)\projects -I$(BCB) -I$(BCB)\include -I$(BCB)\include\vcl -src_suffixcpp
PFLAGS = -U$(BCB)\projects;$(BCB);$(BCB)\lib\obj;$(BCB)\lib;$(RELEASELIBPATH) \
  -I$(BCB)\projects;$(BCB);$(BCB)\include;$(BCB)\include\vcl \
  -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE -$Y+ \
  -$W -$O- -JPHNV -M -JPHNE
RFLAGS = -i$(BCB)\projects;$(BCB);$(BCB)\include;$(BCB)\include\vcl
AFLAGS = /i$(BCB)\projects /i$(BCB) /i$(BCB)\include /i$(BCB)\include\vcl /mx /w2 /zi
LFLAGS = -L$(BCB)\projects;$(BCB);$(BCB)\lib\obj;$(BCB)\lib;$(RELEASELIBPATH) -aa -Tpe \
  -x -v -j$(BCB)\lib\obj;$(BCB)\lib
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj sysinit.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) $(LIBRARIES) import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

!ifdef IDEOPTIONS

[Version Info]
IncludeVerInfo=0
AutoIncBuild=0
MajorVer=1
MinorVer=0
Release=0
Build=0
Debug=0
PreRelease=0
Special=0
Private=0
DLL=0
Locale=1029
CodePage=1250

[Version Info Keys]
FileVersion=1.0.0.0

[HistoryLists\hlIncludePath]
Count=1
Item0=$(BCB)\projects;$(BCB);$(BCB)\include;$(BCB)\include\vcl

[HistoryLists\hlLibraryPath]
Count=1
Item0=$(BCB)\projects;$(BCB);$(BCB)\lib\obj;$(BCB)\lib

[HistoryLists\hlUnitAliases]
Count=1
Item0=WinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE

[Debugging]
DebugSourceDirs=

[Parameters]
RunParams=
HostApplication=
RemoteHost=
RemotePath=
RemoteDebug=0

[Compiler]
InMemoryExe=0
ShowInfoMsgs=0

[CORBA]
AddServerUnit=1
AddClientUnit=1
PrecompiledHeaders=1

!endif

$(PROJECT): $(IDLGENFILES) $(OBJFILES) $(RESDEPEN)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB),, +
    $(ALLRES) 
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $* 

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

